import 'package:cpt_job/modules/job_list/job_list_page.dart';
import 'package:plugin_basic/basic_export.dart';
import 'package:router/componentRouter/job_service.dart';
import 'package:shared/utils/log_utils.dart';

import '../modules/sign_in_sign_out/sign_in_sign_out_page.dart';

class JobServiceImpl extends GetxService implements JobService {
  @override
  void onInit() {
    super.onInit();
    //初始化资源
    Log.d("JobServiceImpl 初始化资源");
  }

  @override
  void onClose() {
    super.onClose();
    //销毁资源
    Log.d("JobServiceImpl 销毁资源");
  }

  // 启动签到签出页面
  @override
  void startSignInSignOutPage() {
    SignInSignOutPage.startInstance();
  }

  @override
  void startJobListPage() {
    JobListPage.startInstance();
  }
}
